Kontakt speichern
/v1/mailboxes/{mailbox_id}/contactsSpeichert den Namen und die Adresse des Kontakts im ausgewählten Postfach. Wenn ein Kontakt mit demselben email bereits vorhanden ist, wird sein Name aktualisiert, ohne ein Duplikat zu erstellen.
Berechtigungs- und Zugangsbereiche · Fehler und Wiederholungen
Anfrage
curl -X POST 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/contacts' \ -H 'Authorization: Bearer <access_token>' \ -H 'Content-Type: application/json' \Optionen
mailbox_idpathUnbedingtintegerX-Customer-IDheader- Option 1
stringOption 2null
Anforderungstext · application/json
object
emailUnbedingtstringnameUnbedingtstringminLength: 1maxLength: 120
Unbekannte Felder werden nicht akzeptiert.
Antworten
200 Erfolgreiche Antwort
application/json
object
idintegermailbox_idintegeremailstringnamestringcreated_atstringDatum und Uhrzeit in UTC. Wenn kein Offset vorhanden ist, stellt der Wert auch UTC. dar
401 Anmeldung erforderlich
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray-Elementeobject
403 Kein Zugriff
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray-Elementeobject
404 Ressource nicht gefunden
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray-Elementeobject
409 Staatskonflikt
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray-Elementeobject
422 Validierungsfehler
application/json
object
detailarrayArray-ElementeobjectlocUnbedingtarrayArray-ElementeOption 1stringOption 2integermsgUnbedingtstringtypeUnbedingtstring
503 Vorübergehende Nichtverfügbarkeit
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray-Elementeobject